export declare enum ECommonsHttpMethod {
    GET = "get",
    POST = "post",
    PUT = "put",
    PATCH = "patch",
    DELETE = "delete",
    HEAD = "head",
    OPTIONS = "options"
}
export declare function toECommonsHttpMethod(type: string): ECommonsHttpMethod | undefined;
export declare function fromECommonsHttpMethod(type: ECommonsHttpMethod): string;
export declare function isECommonsHttpMethod(test: unknown): test is ECommonsHttpMethod;
export declare function keyToECommonsHttpMethod(key: string): ECommonsHttpMethod;
export declare const ECOMMONS_HTTP_METHODS: ECommonsHttpMethod[];
