export declare enum ECommonsHttpContentType {
    FORM_URL = "form_url",
    JSON = "json"
}
export declare function toECommonsHttpContentType(type: string): ECommonsHttpContentType | undefined;
export declare function fromECommonsHttpContentType(type: ECommonsHttpContentType): string;
export declare function isECommonsHttpContentType(test: unknown): test is ECommonsHttpContentType;
export declare function keyToECommonsHttpContentType(key: string): ECommonsHttpContentType;
export declare const ECOMMONS_HTTP_CONTENT_TYPES: ECommonsHttpContentType[];
