export declare type TCommonsHttpUrlSegments = {
    protocol: string;
    hostname: string;
    pathname: string;
    port?: number;
    username?: string;
    password?: string;
    query?: string;
    anchor?: string;
};
export declare function isTCommonsHttpUrlSegments(test: unknown): test is TCommonsHttpUrlSegments;
export declare function parseTCommonsHttpUrlSegments(url: string): TCommonsHttpUrlSegments;
